מחוברים עכשיו  

/v1/appsv2/

V2 appstore - list, create, configure, and purchase iframe-hosted apps. Distinct from /v1/apps/ (the legacy `\AT\ATApps` dev-platform model for externally-hosted developer apps with private keys). The `appsv2` namespace covers the v2 iframe app shell (\AT\ATAppsV2, /modules/v2/_app_host/), backed by the `ATAppsV2` table for user-created entries plus the static manifests in /config/atv2-apps.php for first-party shells.
GET

/v1/appsv2/get_about_post_candidates

#
Finds public community posts that can be selected as an app's About my app post. Eligibility mirrors the profile/About Me selector.

פרמטרים

שםסוגחובהברירת מחדלתיאור
searchFilter string לא "" Search text for public top-level posts with image media by title, body, or author alias.
postID int לא 0 Exact ATDiscussionPosts.ID to preview.
pageSize int לא 8 Maximum candidates to return for text search.
ownPostsOnly bool לא false When true, only return public image-media posts authored by the current API user.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/appsv2/get_about_post_candidates' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'postID={{postID}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'ownPostsOnly={{ownPostsOnly}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$appsv2_get_about_post_candidates_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.Candidatesarray כן
$.oneOf[0].allOf[1].Payload.Candidates[]object לא
$.oneOf[0].allOf[1].Payload.Candidates[].idinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].titlestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].bodyPreviewstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].urlstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].createdDatestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].authorAboutPostAuthor כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].idinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].aliasstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].avatarEmojistring כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].profileUrlstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1]object כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].idnull כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].aliasnull כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].avatarEmojinull כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].profileUrlnull כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].identityHidden = true כן
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].identityHiddenUntilinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].boardobject כן
$.oneOf[0].allOf[1].Payload.Candidates[].board.idinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].board.namestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].board.slugstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].board.typestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].imageMediaCountinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].mediaarray כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[]object לא
$.oneOf[0].allOf[1].Payload.Candidates[].media[].idinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].thumbUrlstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].mediaUrlstring כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].mediaTypestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].widthinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].heightinteger כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].titlestring כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].isImageboolean כן
$.oneOf[0].allOf[1].Payload.Candidates[].media[].isEmbeddedboolean כן
$.oneOf[0].allOf[1].Payload.Pageobject כן
$.oneOf[0].allOf[1].Payload.Page.pageSizeinteger כן
$.oneOf[0].allOf[1].Payload.Page.ownPostsOnlyinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.Page.requiresImageMedia = 1 כן
$.oneOf[0].allOf[1].Payload.Page.minimumImageMediaCount = 2 כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/get_about_post_candidates",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Candidates": [],
        "Page": {
            "pageSize": 0,
            "ownPostsOnly": 0,
            "requiresImageMedia": 1,
            "minimumImageMediaCount": 2
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/appsv2/get_checkout_url

#
Returns an inline custom-article checkout URL for paid app access.

פרמטרים

שםסוגחובהברירת מחדלתיאור
appID int כן — ATAppsV2.ID of the paid app.
returnURL string לא "" Optional same-host URL to return to after checkout.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/appsv2/get_checkout_url' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'appID={{appID}}' \
  --data-urlencode 'returnURL={{returnURL}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$appsv2_get_checkout_url_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.checkoutUrlstring כן
$.oneOf[0].allOf[1].Payload.app כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].idstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].descriptionstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].iconstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].entryUrlstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].defaultPathstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].contentWidthstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].dbIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].ownerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].aboutPostIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].priceAmountinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].menuarray כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].isUserCreated = true כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].requiredLogin = true כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingobject כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.isPaidinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.periodstring ["free","monthly","yearly"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.traderpointsAmountinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.labelstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].accessobject לא
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.canAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isOwnerinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isFreeinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.hasActiveAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.accessEndDatestring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].selectedForPostinteger [0,1] לא
$.oneOf[0].allOf[1].Payload.app.anyOf[1]array כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/get_checkout_url",
    "RequestUserAlias": "example-user",
    "Payload": {
        "checkoutUrl": "synthetic-example",
        "app": {
            "id": "synthetic-example",
            "slug": "synthetic-example",
            "name": "synthetic-example",
            "description": "synthetic-example",
            "icon": "synthetic-example",
            "entryUrl": "synthetic-example",
            "defaultPath": "synthetic-example",
            "contentWidth": "synthetic-example",
            "dbID": 0,
            "ownerUserID": 0,
            "aboutPostID": 0,
            "priceAmount": 0,
            "menu": [],
            "isUserCreated": true,
            "requiredLogin": true,
            "pricingType": "Free",
            "pricing": {
                "type": "Free",
                "isPaid": 0,
                "period": "free",
                "paymentMode": "free",
                "amountCents": 0,
                "traderpointsAmount": 0,
                "label": "synthetic-example"
            }
        }
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/appsv2/get_list

#
Returns the list of published user-created apps for the appstore. Public-by-design: the appstore is a public browse surface; paid apps only expose storefront metadata here, while app access is enforced by /modules/v2/_app_host/ and \AT\ATAppsV2::ViewerCanAccess().
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/appsv2/get_list' \
  --data-urlencode 'key={{API_KEY}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$appsv2_get_list_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.appsarray כן
$.oneOf[0].allOf[1].Payload.apps[]object לא
$.oneOf[0].allOf[1].Payload.apps[].idstring כן
$.oneOf[0].allOf[1].Payload.apps[].slugstring כן
$.oneOf[0].allOf[1].Payload.apps[].namestring כן
$.oneOf[0].allOf[1].Payload.apps[].descriptionstring כן
$.oneOf[0].allOf[1].Payload.apps[].iconstring כן
$.oneOf[0].allOf[1].Payload.apps[].entryUrlstring כן
$.oneOf[0].allOf[1].Payload.apps[].defaultPathstring כן
$.oneOf[0].allOf[1].Payload.apps[].contentWidthstring כן
$.oneOf[0].allOf[1].Payload.apps[].dbIDinteger כן
$.oneOf[0].allOf[1].Payload.apps[].ownerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.apps[].aboutPostIDinteger כן
$.oneOf[0].allOf[1].Payload.apps[].priceAmountinteger כן
$.oneOf[0].allOf[1].Payload.apps[].menuarray כן
$.oneOf[0].allOf[1].Payload.apps[].isUserCreated = true כן
$.oneOf[0].allOf[1].Payload.apps[].requiredLogin = true כן
$.oneOf[0].allOf[1].Payload.apps[].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.apps[].pricingobject כן
$.oneOf[0].allOf[1].Payload.apps[].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.apps[].pricing.isPaidinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].pricing.periodstring ["free","monthly","yearly"] כן
$.oneOf[0].allOf[1].Payload.apps[].pricing.paymentModestring ["free","usd","traderpoints"] כן
$.oneOf[0].allOf[1].Payload.apps[].pricing.amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.apps[].pricing.traderpointsAmountinteger כן
$.oneOf[0].allOf[1].Payload.apps[].pricing.labelstring כן
$.oneOf[0].allOf[1].Payload.apps[].accessobject לא
$.oneOf[0].allOf[1].Payload.apps[].access.canAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].access.isOwnerinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].access.isFreeinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].access.hasActiveAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].access.accessEndDatestring כן
$.oneOf[0].allOf[1].Payload.apps[].selectedForPostinteger [0,1] לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "apps": []
    }
}
תיעוד נקודת קצה קריא למכונה
GET

/v1/appsv2/get_my_apps

#
Returns apps owned by the current viewer for the App Store setup UI.

פרמטרים

שםסוגחובהברירת מחדלתיאור
aboutPostID int לא 0 Optional post ID used by the newsfeed action to mark which owned apps already use that post.
דוגמת בקשה (cURL)
curl --get \
  'https://he.appointmenttrader.com/v1/appsv2/get_my_apps' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'aboutPostID={{aboutPostID}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$appsv2_get_my_apps_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.appsarray כן
$.oneOf[0].allOf[1].Payload.apps[] לא
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0]object לא
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].idstring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].descriptionstring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].iconstring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].entryUrlstring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].defaultPathstring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].contentWidthstring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].dbIDinteger כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].ownerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].aboutPostIDinteger כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].priceAmountinteger כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].menuarray כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].isUserCreated = true כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].requiredLogin = true כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricingobject כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.isPaidinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.periodstring ["free","monthly","yearly"] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.traderpointsAmountinteger כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.labelstring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].accessobject לא
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.canAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.isOwnerinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.isFreeinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.hasActiveAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.accessEndDatestring כן
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].selectedForPostinteger [0,1] לא
$.oneOf[0].allOf[1].Payload.apps[].anyOf[1]array לא
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/get_my_apps",
    "RequestUserAlias": "example-user",
    "Payload": {
        "apps": []
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/appsv2/set_about_post

#
Sets or clears an app's About my app post.

פרמטרים

שםסוגחובהברירת מחדלתיאור
appID int כן — ATAppsV2.ID of an app owned by the current user.
postID int לא 0 Public ATDiscussionPosts.ID with at least two attached images. Pass 0 to clear.
isWritingRequest bool לא false Set true to actually persist the app.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/appsv2/set_about_post' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'appID={{appID}}' \
  --data-urlencode 'postID={{postID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$appsv2_set_about_post_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.app כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].idstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].descriptionstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].iconstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].entryUrlstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].defaultPathstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].contentWidthstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].dbIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].ownerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].aboutPostIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].priceAmountinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].menuarray כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].isUserCreated = true כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].requiredLogin = true כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingobject כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.isPaidinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.periodstring ["free","monthly","yearly"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.traderpointsAmountinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.labelstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].accessobject לא
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.canAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isOwnerinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isFreeinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.hasActiveAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.accessEndDatestring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].selectedForPostinteger [0,1] לא
$.oneOf[0].allOf[1].Payload.app.anyOf[1]array כן
$.oneOf[0].allOf[1].Payload.postIDinteger כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/set_about_post",
    "RequestUserAlias": "example-user",
    "Payload": {
        "app": {
            "id": "synthetic-example",
            "slug": "synthetic-example",
            "name": "synthetic-example",
            "description": "synthetic-example",
            "icon": "synthetic-example",
            "entryUrl": "synthetic-example",
            "defaultPath": "synthetic-example",
            "contentWidth": "synthetic-example",
            "dbID": 0,
            "ownerUserID": 0,
            "aboutPostID": 0,
            "priceAmount": 0,
            "menu": [],
            "isUserCreated": true,
            "requiredLogin": true,
            "pricingType": "Free",
            "pricing": {
                "type": "Free",
                "isPaid": 0,
                "period": "free",
                "paymentMode": "free",
                "amountCents": 0,
                "traderpointsAmount": 0,
                "label": "synthetic-example"
            }
        },
        "postID": 0
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/appsv2/set_create

#
Create a new user-published app row in the v2 appstore.

פרמטרים

שםסוגחובהברירת מחדלתיאור
name string כן — Display name shown in the appstore card and the host shell.
slug string כן — Lowercase URL slug ([a-z0-9-]+, 2-64 chars).
entry_url string כן — Absolute http(s) URL or root-relative path loaded into the sandboxed iframe.
description string לא "" Optional short description shown on the appstore card.
icon string לא "" Optional sprite reference (e.g. "i-trending-bars"). Empty string allowed.
pricingType string לא "Free" One of Free, MonthlyUSD, YearlyUSD, MonthlyTraderpoints, YearlyTraderpoints.
priceAmount int לא 0 Price in USD cents for paid monthly/yearly access.
aboutPostID int לא 0 Optional public post ID with at least two images to use as the About my app post.
isWritingRequest bool לא false Set true to actually persist the app.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/appsv2/set_create' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'name={{name}}' \
  --data-urlencode 'slug={{slug}}' \
  --data-urlencode 'entry_url={{entry_url}}' \
  --data-urlencode 'description={{description}}' \
  --data-urlencode 'icon={{icon}}' \
  --data-urlencode 'pricingType={{pricingType}}' \
  --data-urlencode 'priceAmount={{priceAmount}}' \
  --data-urlencode 'aboutPostID={{aboutPostID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$appsv2_set_create_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.idinteger כן
$.oneOf[0].allOf[1].Payload.slugstring כן
$.oneOf[0].allOf[1].Payload.app כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].idstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].descriptionstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].iconstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].entryUrlstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].defaultPathstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].contentWidthstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].dbIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].ownerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].aboutPostIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].priceAmountinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].menuarray כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].isUserCreated = true כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].requiredLogin = true כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingobject כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.isPaidinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.periodstring ["free","monthly","yearly"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.traderpointsAmountinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.labelstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].accessobject לא
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.canAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isOwnerinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isFreeinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.hasActiveAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.accessEndDatestring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].selectedForPostinteger [0,1] לא
$.oneOf[0].allOf[1].Payload.app.anyOf[1]array כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/set_create",
    "RequestUserAlias": "example-user",
    "Payload": {
        "id": 0,
        "slug": "synthetic-example",
        "app": {
            "id": "synthetic-example",
            "slug": "synthetic-example",
            "name": "synthetic-example",
            "description": "synthetic-example",
            "icon": "synthetic-example",
            "entryUrl": "synthetic-example",
            "defaultPath": "synthetic-example",
            "contentWidth": "synthetic-example",
            "dbID": 0,
            "ownerUserID": 0,
            "aboutPostID": 0,
            "priceAmount": 0,
            "menu": [],
            "isUserCreated": true,
            "requiredLogin": true,
            "pricingType": "Free",
            "pricing": {
                "type": "Free",
                "isPaid": 0,
                "period": "free",
                "paymentMode": "free",
                "amountCents": 0,
                "traderpointsAmount": 0,
                "label": "synthetic-example"
            }
        }
    }
}
תיעוד נקודת קצה קריא למכונה
POST

/v1/appsv2/set_update

#
Update a user-owned v2 app's storefront setup.

פרמטרים

שםסוגחובהברירת מחדלתיאור
appID int כן — ATAppsV2.ID of an app owned by the current user.
name string כן — Display name shown in the appstore card and the host shell.
entry_url string כן — Absolute http(s) URL or root-relative path loaded into the sandboxed iframe.
description string לא "" Optional short description shown on the appstore card.
icon string לא "" Optional sprite reference (e.g. "i-trending-bars"). Empty string allowed.
pricingType string לא "Free" One of Free, MonthlyUSD, YearlyUSD, MonthlyTraderpoints, YearlyTraderpoints.
priceAmount int לא 0 Price in USD cents for paid monthly/yearly access.
aboutPostID int לא 0 Optional public post ID with at least two images to use as the About my app post.
isWritingRequest bool לא false Set true to actually persist the app.
דוגמת בקשה (cURL)
curl --request POST \
  'https://he.appointmenttrader.com/v1/appsv2/set_update' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'appID={{appID}}' \
  --data-urlencode 'name={{name}}' \
  --data-urlencode 'entry_url={{entry_url}}' \
  --data-urlencode 'description={{description}}' \
  --data-urlencode 'icon={{icon}}' \
  --data-urlencode 'pricingType={{pricingType}}' \
  --data-urlencode 'priceAmount={{priceAmount}}' \
  --data-urlencode 'aboutPostID={{aboutPostID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

ערך מוחזר

JSON
See the shared response schema and synthetic example.
שדות התגובה
שדהסוגחובהתיאור
$appsv2_set_update_Response כן
$.oneOf[0] כן
$.oneOf[0].allOf[0]object כן
$.oneOf[0].allOf[0].RequestUserAliasstring כן
$.oneOf[0].allOf[0].RequestPathstring | null כן
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" כן
$.oneOf[0].allOf[0].ResponseCodeinteger כן
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object כן
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring לא
$.oneOf[0].allOf[1]object כן
$.oneOf[0].allOf[1].Payloadobject כן
$.oneOf[0].allOf[1].Payload.app כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0]object כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].idstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].slugstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].namestring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].descriptionstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].iconstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].entryUrlstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].defaultPathstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].contentWidthstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].dbIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].ownerUserIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].aboutPostIDinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].priceAmountinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].menuarray כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].isUserCreated = true כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].requiredLogin = true כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingobject כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.isPaidinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.periodstring ["free","monthly","yearly"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.amountCentsinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.traderpointsAmountinteger כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.labelstring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].accessobject לא
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.canAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isOwnerinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isFreeinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.hasActiveAccessinteger [0,1] כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.accessEndDatestring כן
$.oneOf[0].allOf[1].Payload.app.anyOf[0].selectedForPostinteger [0,1] לא
$.oneOf[0].allOf[1].Payload.app.anyOf[1]array כן
$.oneOf[1]object כן
$.oneOf[1].RequestUserAliasstring כן
$.oneOf[1].RequestPathstring | null כן
$.oneOf[1].RequestStatus = "Failed" כן
$.oneOf[1].ResponseCodeinteger כן
$.oneOf[1].ResponseMessageAPIResponseMessage כן
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null כן
$.oneOf[1].ResponseMessage.oneOf[1]array כן
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage לא
$.oneOf[1].ResponseMessage.oneOf[2]object כן
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage לא
$.oneOf[1].RequestImpersonatedByUserAliasstring לא
דוגמת תגובה
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/set_update",
    "RequestUserAlias": "example-user",
    "Payload": {
        "app": {
            "id": "synthetic-example",
            "slug": "synthetic-example",
            "name": "synthetic-example",
            "description": "synthetic-example",
            "icon": "synthetic-example",
            "entryUrl": "synthetic-example",
            "defaultPath": "synthetic-example",
            "contentWidth": "synthetic-example",
            "dbID": 0,
            "ownerUserID": 0,
            "aboutPostID": 0,
            "priceAmount": 0,
            "menu": [],
            "isUserCreated": true,
            "requiredLogin": true,
            "pricingType": "Free",
            "pricing": {
                "type": "Free",
                "isPaid": 0,
                "period": "free",
                "paymentMode": "free",
                "amountCents": 0,
                "traderpointsAmount": 0,
                "label": "synthetic-example"
            }
        }
    }
}
תיעוד נקודת קצה קריא למכונה